Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Can'nt Install Latest Eclipse in Ubuntu 16.04(Can'nt Install Latest Eclipse in Ubuntu 16.04)
Can'nt Install Latest Eclipse in Ubuntu 16.04 [message #1771919] Fri, 01 September 2017 06:38 Go to next message
jack chen is currently offline jack chenFriend
Messages: 2
Registered: September 2017
Junior Member
index.php/fa/30560/0/I download latest version of Eclipse from https://www.eclipse.org/downloads/download.php?file=/oomph/epp/oxygen/R/eclipse-inst-linux64.tar.gz&mirror_id=1207 and install it.

I am in the my home directory with the user's permission to install it.
EX: jack@XXXX:~/download/eclipse-installer$ ./eclipse-inst

but throws error exception
Please help me , Why is there an error?
thank you~

[2017-09-01 14:09:21] Executing bootstrap tasks
[2017-09-01 14:09:21] OpenJDK Runtime Environment 1.8.0_131-8u131-b11-2ubuntu1.16.04.3-b11
[2017-09-01 14:09:21] Product org.eclipse.products.epp.package.jee.oxygen
[2017-09-01 14:09:21] Bundle org.eclipse.oomph.setup 1.8.0.v20170408-0745, build=3059, branch=2161405b80cf99ed791602ba56cdf44084f5ca43
[2017-09-01 14:09:21] Bundle org.eclipse.oomph.setup.core 1.8.0.v20170531-0903, build=3059, branch=2161405b80cf99ed791602ba56cdf44084f5ca43
[2017-09-01 14:09:21] Bundle org.eclipse.oomph.setup.p2 1.8.0.v20170318-0419, build=3059, branch=2161405b80cf99ed791602ba56cdf44084f5ca43
[2017-09-01 14:09:21] Performing P2 Director (Eclipse IDE for Java EE Developers (Oxygen))
[2017-09-01 14:09:21] Offline = false
[2017-09-01 14:09:21] Mirrors = true
[2017-09-01 14:09:21] Resolving 65 requirements from 3 repositories to /home/jackchen/eclipse/jee-oxygen3/eclipse
[2017-09-01 14:09:21] Requirement epp.package.jee [4.7.0,4.8.0)
[2017-09-01 14:09:21] Requirement org.eclipse.platform.feature.group [4.7.0,4.8.0)
[2017-09-01 14:09:21] Requirement org.eclipse.rcp.feature.group [4.7.0,4.8.0)
[2017-09-01 14:09:21] Requirement org.eclipse.buildship.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.cft.server.core.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.cft.server.ui.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.datatools.common.doc.user.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.datatools.connectivity.doc.user.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.datatools.connectivity.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.datatools.doc.user.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.datatools.enablement.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.datatools.intro.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.datatools.modelbase.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.datatools.sqldevtools.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.datatools.sqltools.doc.user.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.eclemma.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.egit.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.egit.mylyn.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.jdt.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.jpt.common.eclipselink.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.jpt.common.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.jpt.dbws.eclipselink.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.jpt.jaxb.eclipselink.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.jpt.jaxb.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.jpt.jpa.eclipselink.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.jpt.jpa.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.jsf.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.jst.common.fproj.enablement.jdt.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.jst.enterprise_ui.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.jst.jsf.apache.trinidad.tagsupport.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.jst.server_adapters.ext.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.jst.server_adapters.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.jst.server_ui.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.jst.web_ui.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.jst.webpageeditor.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.jst.ws.axis2tools.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.jst.ws.cxf.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.jst.ws.jaxws.dom.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.jst.ws.jaxws.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.m2e.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.m2e.logback.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.m2e.wtp.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.m2e.wtp.jaxrs.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.m2e.wtp.jpa.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.m2e.wtp.jsf.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.mylyn.bugzilla_feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.mylyn.context_feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.mylyn.ide_feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.mylyn.java_feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.mylyn.wikitext_feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.mylyn_feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.pde.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.recommenders.mylyn.rcp.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.recommenders.rcp.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.rse.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.rse.useractions.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.tm.terminal.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.wst.common.fproj.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.wst.jsdt.chromium.debug.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.wst.jsdt.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.wst.server_adapters.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.wst.web_ui.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.wst.xml_ui.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.wst.xsl.feature.feature.group
[2017-09-01 14:09:21] Requirement org.eclipse.oomph.setup.feature.group
[2017-09-01 14:09:21] Repository http://download.eclipse.org/technology/epp/packages/oxygen
[2017-09-01 14:09:21] Repository http://download.eclipse.org/releases/oxygen/201706281000
[2017-09-01 14:09:21] Repository http://download.eclipse.org/oomph/updates/milestone/latest
[2017-09-01 14:09:26] ERROR: org.eclipse.equinox.p2.metadata.repository code=1000 No repository found at http://download.eclipse.org/releases/oxygen/201706281000.
  at org.eclipse.equinox.internal.p2.repository.helpers.AbstractRepositoryManager.fail(AbstractRepositoryManager.java:395)
  at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
  at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
  at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
  at java.lang.reflect.Method.invoke(Method.java:498)
  at org.eclipse.oomph.util.ReflectUtil.invokeMethod(ReflectUtil.java:117)
  at org.eclipse.oomph.p2.internal.core.CachingRepositoryManager.fail(CachingRepositoryManager.java:353)
  at org.eclipse.oomph.p2.internal.core.CachingRepositoryManager.loadRepository(CachingRepositoryManager.java:244)
  at org.eclipse.oomph.p2.internal.core.CachingRepositoryManager$Metadata.loadRepository(CachingRepositoryManager.java:476)
  at org.eclipse.equinox.internal.p2.metadata.repository.MetadataRepositoryManager.loadRepository(MetadataRepositoryManager.java:96)
  at org.eclipse.equinox.internal.p2.metadata.repository.MetadataRepositoryManager.loadRepository(MetadataRepositoryManager.java:92)
  at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl$RepositoryLoader$Worker.perform(ProfileTransactionImpl.java:1613)
  at org.eclipse.oomph.util.WorkerPool$Worker.run(WorkerPool.java:428)
  at org.eclipse.core.internal.jobs.Worker.run(Worker.java:56)

[2017-09-01 14:09:26] 



index.php/fa/30561/0/


Re: Can'nt Install Latest Eclipse in Ubuntu 16.04 [message #1771927 is a reply to message #1771919] Fri, 01 September 2017 08:55 Go to previous messageGo to next message
Ed Merks is currently online Ed MerksFriend
Messages: 30888
Registered: July 2009
Senior Member
It looks like there was a network failure. The download server have been acting up lately. You could try again in a while. Then you try to install a second time in the same location and it's warning you that you'll overwrite what's there, which is okay as long as you're okay overwriting that installation (which is fine if the previous time failed).
Re: Can'nt Install Latest Eclipse in Ubuntu 16.04 [message #1771929 is a reply to message #1771927] Fri, 01 September 2017 09:00 Go to previous messageGo to next message
jack chen is currently offline jack chenFriend
Messages: 2
Registered: September 2017
Junior Member
Is the download server working properly now?
Re: Can'nt Install Latest Eclipse in Ubuntu 16.04 [message #1771946 is a reply to message #1771929] Fri, 01 September 2017 12:13 Go to previous message
Ed Merks is currently online Ed MerksFriend
Messages: 30888
Registered: July 2009
Senior Member
I'm able to download http://download.eclipse.org/releases/oxygen/201706281000/content.xml.xz now. But the server transparently mirrors to other server so it might redirect to a server that's not working well for you? You're consistently haven't this problem with contacting the server?
Previous Topic:WebLogic crashes
Next Topic:Topaz Workbench IDE based on Eclipse
Goto Forum:
  


Current Time: Thu Feb 20 05:20:27 GMT 2020

Powered by FUDForum. Page generated in 0.03947 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top